/**
 * Copyright © 2025 Alibaba Cloud. All rights reserved.
 * @author junhuiYe
 * @date 2025/1/20 09:47
 * @brief
 */

enum ConfigActionType {
  initState,
  updateConfigData,
  updatePushURL,
  selectSegmentIndex,
  setLivePushMode,
  setResolution,
  setEnableAutoBitrate,
  setEnableAutoResolution,
  openAdvanced,
  setQualityMode,
  setTargetVideoBitrate,
  setMinVideoBitrate,
  setInitialVideoBitrate,
  setAudioBitrate,
  setMinFps,
  setFps,
  setAudioSampleRate,
  setVideoEncodeGop,
  setAudioEncoderProfile,
  setAudioChannel,
  setAudioEncoderMode,
  setVideoEncoderMode,
  setVideoHardEncoderCodec,
  setOpenBFrame,
  setOrientation,
  setPreviewDisplayMode,
  setConnectRetryInterval,
  setConnectRetryCount,
  setPushMirror,
  setPreviewMirror,
  setCameraType,
  setAutoFocus,
  setBeautyOn,
  setPauseImg,
  setNetworkPoorImg,
  setPushStreamingMode,
  openLog,
  goBackPage,
  clickPushPage,
}

class ConfigAction {
  final ConfigActionType type;
  final dynamic payload;

  ConfigAction(this.type, {this.payload});
}
